groovy.lang

## Interface MetaClassRegistryChangeEventListener

- All Superinterfaces:
    java.util.EventListener

      public interface MetaClassRegistryChangeEventListener
      extends java.util.EventListener

  A listener called whenever a constant MetaClass is set, removed or replaced.
  See Also:
    `MetaClassRegistry`, `MetaClassRegistryChangeEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)` Called when the a constant MetaClass is updated.

- - ### Method Detail

    - #### updateConstantMetaClass

          void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)

      Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.
      Parameters:
        `cmcu` - - the change event